Subject: bug#2577: 23.0.91; startup.el should choose .emacs ahead of .emacs.elc if .emacs is newer

From: Jason Rumney <[email-masked]>
Date: Fri, 06 Mar 2009 21:37:53 +0800

Alex wrote:
>> I think that if people compile their .emacs they get what they ask for.
>>     
>
> That's not very helpful.

For you, perhaps not. But we have discussed this on emacs-devel numerous 
times in the past, and every time it has been clear that different 
people have different opinions. Many people consider lisp source to be 
"work in progress" until they compile it, and do not want Emacs to load 
it by default if there is a compiled version around. The compromise is 
to issue a warning.

If you have a problem remembering to compile your .emacs, then either 
delete the .emacs.elc file and stop compiling it, or investigate one of 
the solutions that people have come up with to compile it automatically.